Package Details: cnijfilter-mg5400series 3.80-1

Git Clone URL: https://aur.archlinux.org/cnijfilter-mg5400series.git (read-only)
Package Base: cnijfilter-mg5400series
Description: Canon MG5450 printer driver
Upstream URL: http://support-sg.canon-asia.com/contents/SG/EN/0100467102.html
Licenses: unknown
Submitter: rhon
Maintainer: None
Last Packager: tchab
Votes: 5
Popularity: 0.000726
First Submitted: 2013-03-30 12:57
Last Updated: 2015-07-09 04:56

Latest Comments

WebFreak commented on 2016-06-21 15:56

This fails to build

==> Building and installing package
==> ERROR: arch contains invalid characters: ','
/usr/share/makepkg/util/util.sh: line 49: declare: conflicts_i686,: not found
==> ERROR: conflicts_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: depends_i686,: not found
==> ERROR: depends_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: makedepends_i686,: not found
==> ERROR: makedepends_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: md5sums_i686,: not found
==> ERROR: md5sums_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: optdepends_i686,: not found
==> ERROR: optdepends_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: provides_i686,: not found
==> ERROR: provides_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: replaces_i686,: not found
==> ERROR: replaces_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: sha1sums_i686,: not found
==> ERROR: sha1sums_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: sha256sums_i686,: not found
==> ERROR: sha256sums_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: sha384sums_i686,: not found
==> ERROR: sha384sums_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: sha512sums_i686,: not found
==> ERROR: sha512sums_i686, should be an array
/usr/share/makepkg/util/util.sh: line 49: declare: source_i686,: not found
==> ERROR: source_i686, should be an array
==> ERROR: Makepkg was unable to build cnijfilter-mg5400series.

ModYokosuka commented on 2016-02-10 09:36

Fixed pkgbuild with these changes.

-arch=('i686', 'x86_64')
+arch=('i686' 'x86_64')

rpmextract.sh $rpmfile
+ mv ./usr/lib64 ./usr/lib
}

aus4000 commented on 2014-11-09 20:54

I have actually got off my lazy butt and made the MG5500 series their own AUR packages!
https://aur.archlinux.org/packages/cnijfilter-common-mg5500series/
https://aur.archlinux.org/packages/cnijfilter-mg5500series/

Thanks for your help matteusblanc!

matteusblanc commented on 2014-06-06 20:40

Thanks aus4000, works perfectly with the mg5500 alongside the cnifileter-common pgkbuild. 64 bit system

Changed libtiff and libpng to generics i.e.

pkgname=cnijfilter-mg5500series
pkgver=4.00
pkgrel=1
pkgdesc="Canon MG55XX printer driver"
arch=('i686', 'x86_64')
url="http://support-sg.canon-asia.com/contents/SG/EN/0100467102.html"
license=('unknown')
depends=('atk' 'glibc' 'glib2' 'cairo' 'cups' 'fontconfig' 'gtk2' 'pango' 'libpng' 'popt' 'libtiff' 'libx11' 'libxcursor' 'libxext' 'libxfixes' 'libxi' 'libxinerama' 'libxml2' 'libxrandr' 'libxrender' 'cnijfilter-common-mg5500=4.00')
makedepends=('rpmextract')
options=('emptydirs')
source=("http://gdlp01.c-wss.com/gds/5/0100005505/01/cnijfilter-mg5500series-4.00-1-rpm.tar.gz")
md5sums=('4abe4396e4efc7ff90f459ccf493bb9c')

build() {
if [ "${CARCH}" = 'x86_64' ]; then
rpmfile=$(find "$srcdir" -name $pkgname-$pkgver*${CARCH}*.rpm)
elif [ "${CARCH}" = 'i686' ]; then
rpmfile=$(find "$srcdir" -name $pkgname-$pkgver*i386*.rpm)
fi
cd $pkgdir
rpmextract.sh $rpmfile
}

matteusblanc commented on 2014-06-06 20:37

Thanks aus4000, works perfectly with the mg5500 alongside the cnifileter-common pgkbuild. 64 bit system

mablanton commented on 2014-05-27 03:42

Will not build for 32-bit system. I get and error that says something like "no package available for i686 system". I was able to get it to build on 64-bit system by editing pkgbuild for libtiff3 and commenting out the symbolic links to libtiff.so.3 and libtiffxx.so.3

rhon commented on 2014-05-12 19:58

After testing, depending from libtiff instead of libtiff3 breaks printing because of error :

/usr/local/bin/cifmg5400: error while loading shared libraries: libtiff.so.3: cannot open shared object file: No such file or directory

So I revert dependency to libtiff3, available from AUR.

rhon commented on 2014-05-07 13:48

Dependencies updated to libtiff as suggested. Can you check and tell me if it's ok ?

binnisb commented on 2014-05-02 17:04

Thank you for this package, saved me quite the headache!

Ran into a problem with conflicting libtiff 4 and libtiff3. You should change the requirement of libtiff3 to libtiff I guess. I got it installed when I changed it from libtiff3 to libtiff in the PKGBUILD

aus4000 commented on 2014-04-26 06:20

I made you a PKGBUILD for the MG5500 series based off of yours :)

pkgname=cnijfilter-mg5500series
pkgver=4.00
pkgrel=1
pkgdesc="Canon MG55XX printer driver"
arch=('i686', 'x86_64')
url="http://support-sg.canon-asia.com/contents/SG/EN/0100467102.html"
license=('unknown')
depends=('atk' 'glibc' 'glib2' 'cairo' 'cups' 'fontconfig' 'gtk2' 'pango' 'libpng12' 'popt' 'libtiff3' 'libx11' 'libxcursor' 'libxext' 'libxfixes' 'libxi' 'libxinerama' 'libxml2' 'libxrandr' 'libxrender' 'cnijfilter-common-mg5500=4.00')
makedepends=('rpmextract')
options=('emptydirs')
source=("http://gdlp01.c-wss.com/gds/5/0100005505/01/cnijfilter-mg5500series-4.00-1-rpm.tar.gz")
md5sums=('4abe4396e4efc7ff90f459ccf493bb9c')

build() {
if [ "${CARCH}" = 'x86_64' ]; then
rpmfile=$(find "$srcdir" -name $pkgname-$pkgver*${CARCH}*.rpm)
elif [ "${CARCH}" = 'i686' ]; then
rpmfile=$(find "$srcdir" -name $pkgname-$pkgver*i386*.rpm)
fi
cd $pkgdir
rpmextract.sh $rpmfile
}

The cnijfilter-common-mg5500 is posted on the cnijfilter-common-mg5400's page too.

cloudrck commented on 2014-03-15 22:15

Had to register to say thanks. I thought all hope was lost until I stumbled upon your package. Works via USB and wireless for my MG5420

rhon commented on 2013-04-24 20:50

You're welcome. I'm glad it helped.

lervag commented on 2013-04-24 08:11

I've just spent half a day trying to install this printer, before I found that you had already made an aur package! Thanks a bunch!

rhon commented on 2013-03-30 13:01

This is the driver for Canon PIXMA MG5400 series printer